body, html {
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
}

h1 {
    text-align: center;
    font-size: 32px;
    padding: 16px 0px;
    margin: 0;
}

#progressContainer {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.5); 
    z-index: 100;
}
#pdfViewer {
    visibility: hidden; 
}



.downloadPDF {
width: 100%;
display: flex;
align-items: center;
justify-content: center;
gap: 16px;
text-decoration: none;
}

.downloadPDF img {
width: 24px;
}

.downloadPDF_button {
    font-size: 1.2rem;
    text-decoration: none;
    color: #424242;
    text-align: center;
    transition: all ease-in-out 0.4s;
}
.downloadPDF:hover .downloadPDF_button {
    text-align: center;
    background: -webkit-linear-gradient(rgba(18,88,166,1), rgba(24,131,112,1));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}
.pdfViewer_container {
    background-color: #424242;
}

.bookmarks {
    position: absolute;
    top: 10%;
    right: 0%;
    display: flex;
    flex-direction: column;
}

.bookmarks .bookmarks_categories {
    background:linear-gradient(90deg, rgba(18,88,166,1) 0%, rgba(24,131,112,1) 100%) ;
    min-width: 150px;
    margin-top: 10px;
    padding: 10px 5px;
    color: #FFFFFF;
    border-radius: 5px 0 0 5px;
    border: none ;
    cursor: pointer;
    transition: all ease-in-out 0.4s;
}
.bookmarks .bookmarks_categories:hover {
    background:linear-gradient(270deg, rgba(18,88,166,1) 0%, rgba(24,131,112,1) 100%) ;
    padding: 10px 5px 10px 5px;
}

.bookmarks_subcategories {
    background: -webkit-linear-gradient(rgb(255, 255, 255), rgb(255, 255, 255));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    border: none;
    text-align: right;
    transition: all ease-in-out 0.4s;
    cursor: pointer;
}
.bookmarks_subcategories:hover {
    background: -webkit-linear-gradient(rgba(18,88,166,1), rgba(24,131,112,1));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    border: none;
    text-align: right;
}

/*linear-gradient(180deg, rgba(18,88,166,1) 0%, rgba(24,131,112,1) 100%)*/

.pdfViewer {
    max-width: 100%;
    height: auto;
    display: flex;
    padding: 20px 20vw;
    justify-content: center; 
    align-items: center;
    position: relative;
    background-color: #424242;
}

canvas {
    width: 50%;
    height: 100%;
    background-color: white;
    cursor: pointer;
    transition: transform 1s ease;
}

#leftPage {
    transform-origin: right center;
}

#rightPage {
    transform-origin: left center;
}

canvas:hover {
    transform: rotateY(5deg);
}
